読者です 読者をやめる 読者になる 読者になる

Sphereとともに

scalaとかplayframeworkとか。技術ブログにしたいなと。環境は Windows7x64, mac です。たまに声優さん情報が混ざります。最近ちょっとClojure触りました。

A binding to play.api.db.DBApi was already configured

slick scala

A binding to play.api.db.DBApi was already configured

Slickをしようするために

build.sbtに

  "com.typesafe.play" %% "play-slick" % "1.0.1",
  "com.typesafe.play" %% "play-slick-evolutions" % "1.0.1"

の記述をしたら表題のようなエラーがでた。

対応は

デフォルトで入っているjdbcの記載を消してやる

libraryDependencies ++= Seq(
//  jdbc,
  cache,
  ws,
  specs2 % Test,

https://groups.google.com/forum/#!topic/play-framework/NOFbfx13fio

PlaySlickFAQ